Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.pool.connection
Class ConnectionFactory

    java.lang.Object
      |
      +--org.huihoo.jfox.pool.ObjectFactorySupport
            |
            +--org.huihoo.jfox.pool.ProxyObjectFactory
                  |
                  +--org.huihoo.jfox.pool.connection.ConnectionFactory

All Implemented Interfaces:
  ObjectFactory

public class ConnectionFactory
extends ProxyObjectFactory

Author:
  Kelvin Wu

Fields inherited from class org.huihoo.jfox.pool.ProxyObjectFactory
`invokerClass`

Fields inherited from class org.huihoo.jfox.pool.ObjectFactorySupport
`classType`

Constructor Summary
`ConnectionFactory(java.lang.Class classType, java.lang.Class invokerClass)`

Method Summary
`void` | `destroyObject(PoolableObject object)` destroy the poolConnection in pool.
`PoolableObject` | `makeObject()` create a new poolable object

Methods inherited from class org.huihoo.jfox.pool.ProxyObjectFactory
`validateObject`

Methods inherited from class org.huihoo.jfox.pool.ObjectFactorySupport
`equals, getObjectClass, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionFactory

    public ConnectionFactory(java.lang.Class classType,
                             java.lang.Class invokerClass)
                      throws java.lang.Exception

Method Detail

### makeObject

    public PoolableObject makeObject()
                              throws java.lang.Exception

  Description copied from interface: `ObjectFactory`
  create a new poolable object
  Overrides:
    `makeObject` in class `ProxyObjectFactory`
  Following copied from interface: `org.huihoo.jfox.pool.ObjectFactory`
  Returns:

### destroyObject

    public void destroyObject(PoolableObject object)
                       throws java.lang.Exception

  destroy the poolConnection in pool.
  Overrides:
    `destroyObject` in class `ProxyObjectFactory`
  Parameters:
    `object` -
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD